Bug 460405 - the shutdown program regressed in features
the shutdown program regressed in features
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 23:58 EDT by Arjan van de Ven
Modified: 2014-06-18 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-26 14:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2008-08-27 23:58:30 EDT
Description of problem:

prior to F9; the shutdown program had an option to shut down immediately, bypassing the shutdown scripts etc. This feature was extremely useful for kernel developers (you can reboot machines even after they oopsed somewhere) and generally was useful for recovering cases where something was wrong (say a stuck NFS server) that would cause shutdown scripts to be problematic.

unfortunately, F9 shutdown cannot do this anymore.....
Comment 1 Bill Nottingham 2008-08-28 09:48:21 EDT
reboot -f/halt -f still work; I suppose it just needs the code in shutdown to directly call that if that's passed.
Comment 2 Bug Zapper 2009-06-09 22:34:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Scott James Remnant 2009-06-18 10:52:42 EDT
What was the option to do this?
Comment 4 Bill Nottingham 2009-06-18 11:03:19 EDT
       -n     [DEPRECATED]  Don’t call init(8) to do the shutdown but do it ourself.
              The use of this option is discouraged, and its results are not  always
              what you’d expect.
Comment 5 Casey Dahlin 2009-06-18 11:07:04 EDT
That doesn't sound like what's described above. Nor does it make a convincing argument for carrying it forward.
Comment 6 Bill Nottingham 2009-06-18 11:14:22 EDT
It is the option for shutdown bypassing the halt scripts. Despite the deprecation notice:

- it's been there since the dawn of time
- all it does is call reboot -f/halt -f. Which aren't deprecated.
Comment 7 Casey Dahlin 2010-03-26 14:41:55 EDT
Scott isn't going to take the patch. This is either going to be a permanent patch in our package or we're going to have to address this later when we "deprecate" it.

I'm not up for either.

Note You need to log in before you can comment on or make changes to this bug.